<div class="m-user-menu m-dropdown">
  <a class="m-user-menu__Anchor" (click)="toggleMenu()"
    ><i class="material-icons">menu</i></a
  >

  <ul
    class="m-dropdown__list m-user-menu__Dropdown mdl-shadow--3dp"
    [hidden]="!isOpen"
  >
    <li
      class="m-dropdownList__item m-user-menuDropdown__Item"
      *ngIf="!getCurrentUser()"
      (click)="closeMenu()"
    >
      <a routerLink="/login">
        <i class="material-icons">vpn_key</i>
        <span i18n>Login</span>
      </a>
    </li>

    <li
      class="m-dropdownList__item m-user-menuDropdown__Item"
      *ngIf="getCurrentUser()"
      (click)="closeMenu()"
    >
      <a [routerLink]="['/', getCurrentUser()?.username]">
        <i class="material-icons">person</i>
        <span i18n>View Channel</span>
      </a>
    </li>

    <li
      class="m-dropdownList__item m-user-menuDropdown__Item"
      *ngIf="isAdmin()"
      (click)="closeMenu()"
    >
      <a routerLink="/admin/interactions">
        <i class="material-icons">build</i>
        <span i18n>Admin</span>
      </a>
    </li>

    <li
      class="m-dropdownList__item m-user-menuDropdown__Item"
      *ngIf="isAdmin()"
      (click)="closeMenu()"
    >
      <a routerLink="/analytics/admin/network">
        <i class="material-icons">timeline</i>
        <span i18n>Analytics</span>
      </a>
    </li>

    <li
      class="m-dropdownList__item m-user-menuDropdown__Item"
      *ngIf="getCurrentUser()"
      (click)="closeMenu()"
    >
      <a (click)="openReferralsModal()">
        <i class="material-icons">people</i>
        <span i18n="@@M__COMMON__REFER_FRIENDS">Refer Friends</span>
      </a>
    </li>

    <li
      class="m-dropdownList__item m-user-menuDropdown__Item"
      *ngIf="getCurrentUser()"
      (click)="closeMenu()"
    >
      <a routerLink="/boost/console">
        <i class="material-icons">trending_up</i>
        <span i18n>Boost Console</span>
      </a>
    </li>

    <ng-container *mIfFeature="'helpdesk'; else supportPages">
      <li
        class="m-dropdownList__item m-user-menuDropdown__Item"
        (click)="closeMenu()"
      >
        <a routerLink="/help">
          <i class="material-icons">help_outline</i>
          <span i18n>Help Desk</span>
        </a>
      </li>
    </ng-container>
    <ng-template #supportPages>
      <li
        class="m-dropdownList__item m-user-menuDropdown__Item"
        (click)="closeMenu()"
      >
        <a routerLink="/faq">
          <i class="material-icons">help_outline</i>
          <span i18n>FAQ</span>
        </a>
      </li>

      <li
        class="m-dropdownList__item m-user-menuDropdown__Item"
        (click)="closeMenu()"
      >
        <a routerLink="/groups/profile/100000000000000681">
          <i class="material-icons">help_outline</i>
          <span i18n>Help &amp; Support</span>
        </a>
      </li>
    </ng-template>

    <li
      class="m-dropdownList__item m-user-menuDropdown__Item"
      *ngIf="getCurrentUser()"
      (click)="closeMenu()"
    >
      <a routerLink="/canary">
        <i class="material-icons">new_releases</i>
        <span *ngIf="!getCurrentUser()?.canary; else canaryDropdownItem" i18n
          >Canary Mode</span
        >
        <ng-template #canaryDropdownItem>
          <span i18n>Canary Mode</span>
        </ng-template>
      </a>
    </li>

    <li
      class="m-dropdownList__item m-user-menuDropdown__Item"
      (click)="closeMenu()"
    >
      <a routerLink="/mobile">
        <i class="material-icons">phone_iphone</i>
        <span i18n>Mobile App</span>
      </a>
    </li>

    <li
      class="m-dropdownList__item m-user-menuDropdown__Item"
      (click)="closeMenu()"
    >
      <a target="_blank" href="https://www.teespring.com/stores/minds">
        <i class="material-icons">shopping_cart</i>
        <span i18n>Store</span>
      </a>
    </li>

    <li
      class="m-dropdownList__item m-user-menuDropdown__Item"
      *ngIf="getCurrentUser()"
      (click)="closeMenu()"
    >
      <a routerLink="/content-policy">
        <i class="material-icons">gavel</i>
        <span i18n>Content Policy</span>
      </a>
    </li>

    <ng-container *mIfFeature="'dark-mode'">
      <li
        class="m-dropdownList__item m-user-menuDropdown__Item"
        *ngIf="getCurrentUser()"
        (click)="toggleTheme()"
      >
        <i class="material-icons" *ngIf="isDark">brightness_7</i>
        <i class="material-icons" *ngIf="!isDark">brightness_2</i>
        <span i18n *ngIf="isDark">Light Mode</span>
        <span i18n *ngIf="!isDark">Dark Mode</span>
      </li>
    </ng-container>

    <li
      class="m-dropdownList__item m-user-menuDropdown__Item"
      *ngIf="getCurrentUser()"
      (click)="closeMenu()"
    >
      <a routerLink="/settings/general">
        <i class="material-icons">settings</i>
        <span i18n>Settings</span>
      </a>
    </li>

    <li
      class="m-dropdownList__item m-user-menuDropdown__Item"
      *ngIf="getCurrentUser()"
      (click)="closeMenu()"
    >
      <a routerLink="/logout">
        <i class="material-icons">exit_to_app</i>
        <span i18n>Logout</span>
      </a>
    </li>
  </ul>
</div>

<div class="minds-bg-overlay" (click)="closeMenu()" [hidden]="!isOpen"></div>
